Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 508704 - [gnome-overlay] gnome-extra/gucharmap-3.12.0 failed to build
Summary: [gnome-overlay] gnome-extra/gucharmap-3.12.0 failed to build
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gnome-3.12
  Show dependency tree
 
Reported: 2014-04-25 17:11 UTC by nE0sIghT
Modified: 2014-05-26 18:56 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,100.10 KB, text/plain)
2014-04-25 17:11 UTC, nE0sIghT
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nE0sIghT 2014-04-25 17:11:26 UTC
Created attachment 375704 [details]
build.log

emerge --info
Portage 2.2.8-r1 (default/linux/amd64/13.0, gcc-4.8.2, glibc-2.17, 3.14.0-gentoo x86_64)
=================================================================
System uname: Linux-3.14.0-gentoo-x86_64-Intel-R-_Core-TM-_i5-2400_CPU_@_3.10GHz-with-gentoo-2.2
KiB Mem:    16391440 total,   4315268 free
KiB Swap:    2095100 total,   2095100 free
Timestamp of tree: Fri, 25 Apr 2014 00:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.5-r3, 3.3.3
dev-util/cmake:           2.8.12.2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.6.4, 4.8.2
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo vortex gamerlay systemd gnome
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O3 -march=native -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O3 -march=native -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fail-clean fixlafiles merge-sync news parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync webrsync-gpg xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://mirror.corbina.net/gentoo"
LANG="ru_RU.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/vortex /var/lib/layman/gamerlay /var/lib/layman/systemd /var/lib/layman/gnome"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="7zip X a-like-o a52 aac aacplus aacs aalib acl acpi alsa amd64 apng applet archive artworkextra audacious audio audiofile automount avx bazaar berkdb bidi bittorrent bittorrent-external bluray branding bsf bzip2 cairo caps chardet chdir cjk cli collada cover cracklib crypt css cuda cue cupsddk curl cvs cxx dbus dconf device-mapper dga dhcp dht diff dirac disk-partition divx djvu dnsretry dos drawing dri dv eap-tls enca encode exif experimental extensions extras facedetect fat fbcondecor ffmpeg fftw fileinfo firefox flac fontconfig fortran frei0r fts3 fuse g3dvl gd gdbm gdm geoip gif glade glib glitz gnome gnome-keyring gnome-online-accounts gnome-shell gphoto2 gpm graphite grp grub gstreamer gtk gtk3 gtkstyle gudev gzip hddtemp histman hog hvm hwdb iconsets iconv icq id3tag idle idn infinality inifile intl introspection ioemu ipv6 jabber java javascript jingle joystick jpeg jpeg2k kate keymap kinetic kvm ladspa lame lcms libass libcaca libkms libnotify libsamplerate libsecret libtiger lights lm_sensors loop-aes lucene lyrics lzma lzo mad matroska melt mercurial minizip mmx mmxext mng modules mp2 mp3 mp4 mp4live mpeg mpeg2 mpg123 mplayer mpris mpu401 mtp mudflap multilib multimedia musepack mvl mysql mysqli nautilus ncurses netplay network nls nptl nsplugin nss ntfs ntfsprogs nvidia offensive ofx ogg ogm oodict openal opencore-amr opengl openmp openssl opensslcrypt optimization optimized-qmake oscar pam parse-clocks pcf pch pcre pcre16 pdf pdo pgo php player plugins png policykit ppds pppd projectm psf pulseaudio purple qml qpak quicktime rar readline realmedia realtime reiserfs resolvconf romio rtsp ru-dv ru-g ru-i ru-k sasl scale0tilt screen screenshot sdl secure-delete sendto session skins slp smp sndfile sound sounds speex spell sqlite sqlite3 sse sse2 sse2_4way sse3 sse4 sse4_1 sse4_2 ssl ssse3 stream strong-optimization subtitles subversion svg system-cairo system-icu system-jpeg system-sqlite systemd t1lib taglib tcpd textures theora threads thunderbird tiff timidity tint2conf tk tls toolbar trayicon truetype tta tweak-mode twolame udev udisks unicode unzip usb utils uvm v4l2 vaapi vala vamp vdpau verse vkontakte vorbis vorbis-psy vpx wad wav wavpack webgl webkit webp webphoto whiteboarding winbind wma wmp x264 xanim xattr xcb xcomposite xhtml xinetd xml xmlreader xmlrpc xmlwriter xorg xosd xpm xsl xslt xulrunner xv xvfb xvid zip zlib" ABI_X86="32 64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="nss" DRACUT_MODULES="plymouth systemd" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc efi-64" INPUT_DEVICES="evdev joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="ru ru_RU en" NETBEANS_MODULES="apisupport enterprise harness ide j2ee java nb php profiler webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Gilles Dartiguelongue gentoo-dev 2014-04-25 21:36:11 UTC
Could you paste the output of:
$ emerge -pv at-spi2-core at-spi2-atk atk
Comment 2 nE0sIghT 2014-04-26 06:39:32 UTC
(In reply to Gilles Dartiguelongue from comment #1)
> Could you paste the output of:
> $ emerge -pv at-spi2-core at-spi2-atk atk

emerge -pv at-spi2-core at-spi2-atk atk

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ~] app-accessibility/at-spi2-core-2.12.0:2::gnome  USE="X introspection" 0 kB
[ebuild   R   ~] dev-libs/atk-2.12.0::gnome  USE="introspection nls {-test}" 0 kB
[ebuild   R   ~] app-accessibility/at-spi2-atk-2.12.1:2::gnome  USE="{-test}" 0 kB

Total: 3 packages (3 reinstalls), Size of downloads: 0 kB
Comment 3 Walter Meinl 2014-05-01 13:02:17 UTC
I see the same build error. However, only after I removed the gnome-overlay and try to rebuild the (unmasked) gucharmap-3.12.0.ebuild from the gentoo-repository. That means, when I emerged it first from the gnome-overlay I had no problem.
When I looked at the build date the successful build was from 20140407. At this date atk, at-spi2-atk and at-spi2-core where still at version 2.10.2 since the 2.12.0 versions were introduced way later in the gnome-overlay (build dates on my system 20140420).
Maybe that info helps to find the problem.
Comment 4 Walter Meinl 2014-05-01 18:58:10 UTC
Just FYI, after downgrading the atk-related ebuilds to 3.10.x gucharmap-3.12.0 did emerge successfully
Comment 5 Seemant Kulleen 2014-05-03 21:36:51 UTC
I had to wind up doing this:

emerge -av \=app-accessibility/at-spi2-{core,atk}-2.10.2 atk \=dev-libs/atk-2.10.0 gucharmap

to get it to successfully get past this error.  Thanks, Walter.
Comment 6 Seemant Kulleen 2014-05-03 21:37:47 UTC
Sorry, my error is in portage, not the gnome-overlay.
Comment 7 Pacho Ramos gentoo-dev 2014-05-26 18:56:49 UTC
+*vala-0.24.0-r1 (26 May 2014)
+
+  26 May 2014; Pacho Ramos <pacho@gentoo.org>
+  +files/vala-0.24.0-atk-metadata.patch, +vala-0.24.0-r1.ebuild:
+  Backport upstream patch to fix gucharmap-3.12 building (#508704 by nE0sIghT)
+